Name:		rawtherapee
Version:	5.9
Release:	%mkrel 3
Summary:	Raw image processing software

Group:		Graphics/Utilities
License:	GPLv3 and MIT and IJG
URL:		https://www.rawtherapee.com/
Source0:	https://rawtherapee.com/shared/source/%{name}-%{version}.tar.xz
Patch2:		rawtherapee-5.2-CVE-2017-14348.patch
Patch3:		rawtherapee-5.2-CVE-2017-14265.patch
Patch4:		rawtherapee-5.2-CVE-2017-13735.patch
Patch5:		rawtherapee-5.9-color-shift.patch
Patch6:		rawtherapee-mga-fix-building-with-libtiff-4.5.patch
BuildRequires:	cmake >= 2.8.8
BuildRequires:	pkgconfig(expat) >= 2.0
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fftw3f)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(giomm-2.4) >= 2.12
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.16
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0) >= 2.16
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.16
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.16
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	bzip2-devel
BuildRequires:	mercurial
BuildRequires:	pkgconfig(libjpeg) 
BuildRequires:	pkgconfig(libtiff-4) >= 4.0.4
BuildRequires:	pkgconfig(libpng)
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	libatomic-devel
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.40
Requires:	hicolor-icon-theme
Requires:	lensfun

%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -O3"
%cmake -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install

# These file are taken from the root already
rm -rf %{buildroot}%{_datadir}/doc/rawtherapee

%files
%doc AUTHORS.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/com.rawtherapee.RawTherapee.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Dec 13 2022 ns80 <ns80> 5.9-3.mga9
+ Revision: 1921634
- add a patch to fix building with libtiff 4.5
- rebuild for new libtiff

* Mon Dec 12 2022 mrambo3501 <mrambo3501> 5.9-2.mga9
+ Revision: 1920833
- add upstream patch to fix 5.9 color shift regression

* Wed Nov 30 2022 mrambo3501 <mrambo3501> 5.9-1.mga9
+ Revision: 1913469
- version 5.9
- delete upstreamed patches 5 and 6
- update files list

* Tue Nov 01 2022 mrambo3501 <mrambo3501> 5.8-8.mga9
+ Revision: 1901037
- rebuild for new lensfun

* Fri Apr 01 2022 umeabot <umeabot> 5.8-7.mga9
+ Revision: 1838068
- Mageia 9 Mass Rebuild

* Wed Dec 01 2021 mrambo3501 <mrambo3501> 5.8-6.mga9
+ Revision: 1760418
- add fedora patch which fixes building with glibc 2.34

* Sun Aug 08 2021 luigiwalser <luigiwalser> 5.8-5.mga9
+ Revision: 1740638
- rebuild for lensfun

* Wed Jul 28 2021 mrambo3501 <mrambo3501> 5.8-4.mga9
+ Revision: 1738110
- add upstream patch which fixes a crash on 32bit arch (mga#29295)

* Mon Dec 28 2020 neoclust <neoclust> 5.8-3.mga8
+ Revision: 1664633
- Add P4 to fix CVE-2017-13735

* Thu Feb 20 2020 umeabot <umeabot> 5.8-2.mga8
+ Revision: 1546628
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 mrambo3501 <mrambo3501> 5.8-1.mga8
+ Revision: 1486896
- version 5.8
+ wally <wally>
- build with new cmake macros

* Thu Sep 12 2019 daviddavid <daviddavid> 5.7-1.mga8
+ Revision: 1440072
- new version: 5.7

* Thu May 02 2019 mrambo3501 <mrambo3501> 5.6-1.mga7
+ Revision: 1396138
- version 5.6

* Fri Dec 21 2018 mrambo3501 <mrambo3501> 5.5-2.mga7
+ Revision: 1344101
- version 5.5

* Sun Sep 23 2018 umeabot <umeabot> 5.4-2.mga7
+ Revision: 1300784
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 mrambo3501 <mrambo3501> 5.4-1.mga7
+ Revision: 1222170
- version 5.4

* Tue Oct 10 2017 mrambo3501 <mrambo3501> 5.3-1.mga7
+ Revision: 1170725
- version 5.3
- deleted patch1 applied upstream
- added new BR (for lensfun)
- fixed file list

* Thu Sep 28 2017 mrambo3501 <mrambo3501> 5.2-3.mga7
+ Revision: 1161093
- Add patch to fix CVE-2017-14265 mga#21755

* Thu Sep 28 2017 mrambo3501 <mrambo3501> 5.2-2.mga7
+ Revision: 1160922
- Add upstream patches to fix CVE-2017-13735 and CVE-2017-14348 mga#21755

* Mon Jul 31 2017 mrambo3501 <mrambo3501> 5.2-1.mga7
+ Revision: 1133225
- version 5.2

* Fri Jun 02 2017 neoclust <neoclust> 5.1-1.mga7
+ Revision: 1105795
- New version 5.1

* Fri Feb 19 2016 daviddavid <daviddavid> 4.2-1.mga6
+ Revision: 967617
- add three patches from Debian to fix build with c++11 and new sigc++
- update files list
+ akien <akien>
- Version 4.2

* Wed May 13 2015 luigiwalser <luigiwalser> 4.1-4.mga5
+ Revision: 821971
- adapt patch from dcraw to fix CVE-2015-3885

* Wed Oct 15 2014 umeabot <umeabot> 4.1-3.mga5
+ Revision: 739735
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1-2.mga5
+ Revision: 688619
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 4.1-1.mga5
+ Revision: 660829
- update filelist
- 4.1

* Sun Feb 09 2014 luigiwalser <luigiwalser> 4.0.12-3.mga5
+ Revision: 587717
- use appropriate upstream tarball

* Sun Feb 09 2014 luigiwalser <luigiwalser> 4.0.12-2.mga5
+ Revision: 587612
- add patch from fedora to fix CVE-2013-1438 in embedded copy of dcraw

* Thu Feb 06 2014 fwang <fwang> 4.0.12-1.mga5
+ Revision: 584176
- update file list
- new version 4.0.12

* Sat Oct 19 2013 umeabot <umeabot> 4.0.11-2.mga4
+ Revision: 527584
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 4.0.11-1.mga4
+ Revision: 441343
- do not build shared libs
- build static libs
- new version 4.0.11

* Mon Jun 03 2013 fwang <fwang> 4.0.7-4.mga4
+ Revision: 436200
- rebuild for new libpng

* Thu Jan 24 2013 fwang <fwang> 4.0.7-3.mga3
+ Revision: 391939
- disable shared build
- build static lib
- more linkage
- link against giomm
- build verbose
- br bzip2
- build verbose
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 malo <malo> 4.0.7-1.mga2
+ Revision: 204276
- use %%mkrel
- change group to graphics
- Stripped archive from mercurial information.
- Update to 4.0.7
- spec clean-up after import from Mandriva (thanks to Alexander Barakin)
- imported package rawtherapee


* Wed Dec 07 2011 Alexander Khrukin <akhrukin@mandriva.org> 4.0.6-1
+ Revision: 738577
- version update 4.0.6

* Tue Oct 25 2011 Alexander Barakin <abarakin@mandriva.org> 4.0.4-1
+ Revision: 707133
- imported package rawtherapee

